org.apache.poi.hssf.record

## Class HyperlinkRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.HyperlinkRecord

- All Implemented Interfaces:
    Duplicatable

      public final class HyperlinkRecord
      extends StandardRecord

  The `HyperlinkRecord` (0x01B8) wraps an HLINK-record from the Excel-97 format. Supports only external links for now (eg http://)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperlinkRecord()` Create a new hyperlink
    `HyperlinkRecord(HyperlinkRecord other)`
    `HyperlinkRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HyperlinkRecord` | `clone()` Deprecated.
    `HyperlinkRecord` | `copy()`
    `java.lang.String` | `getAddress()` Hyperlink address.
    `protected int` | `getDataSize()`
    `int` | `getFileOptions()`
    `int` | `getFirstColumn()`
    `int` | `getFirstRow()`
    `java.lang.String` | `getLabel()` Return text label for this hyperlink
    `int` | `getLabelOptions()`
    `int` | `getLastColumn()`
    `int` | `getLastRow()`
    `java.lang.String` | `getShortFilename()`
    `short` | `getSid()` return the non static version of the id for this record.
    `java.lang.String` | `getTargetFrame()`
    `java.lang.String` | `getTextMark()`
    `boolean` | `isDocumentLink()` Based on the link options, is this a document?
    `boolean` | `isFileLink()` Based on the link options, is this a file?
    `boolean` | `isUrlLink()` Based on the link options, is this a url?
    `void` | `newDocumentLink()` Initialize a new document link
    `void` | `newFileLink()` Initialize a new file link
    `void` | `newUrlLink()` Initialize a new url link
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setAddress(java.lang.String address)` Hyperlink address.
    `void` | `setFirstColumn(int firstCol)` Set the first column (zero-based) of the range that contains this hyperlink
    `void` | `setFirstRow(int firstRow)` Set the first row (zero-based) of the range that contains this hyperlink
    `void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink
    `void` | `setLastColumn(int lastCol)` Set the last column (zero-based) of the range that contains this hyperlink
    `void` | `setLastRow(int lastRow)` Set the last row (zero-based) of the range that contains this hyperlink
    `void` | `setShortFilename(java.lang.String shortFilename)`
    `void` | `setTextMark(java.lang.String textMark)`
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HyperlinkRecord

          public HyperlinkRecord()

      Create a new hyperlink

    - #### HyperlinkRecord

          public HyperlinkRecord(HyperlinkRecord other)

    - #### HyperlinkRecord

          public HyperlinkRecord(RecordInputStream in)

  - ### Method Detail

    - #### getFirstColumn

          public int getFirstColumn()

      Returns:
        the 0-based column of the first cell that contains this hyperlink

    - #### setFirstColumn

          public void setFirstColumn(int firstCol)

      Set the first column (zero-based) of the range that contains this hyperlink
      Parameters:
        `firstCol` - the first column (zero-based)

    - #### getLastColumn

          public int getLastColumn()

      Returns:
        the 0-based column of the last cell that contains this hyperlink

    - #### setLastColumn

          public void setLastColumn(int lastCol)

      Set the last column (zero-based) of the range that contains this hyperlink
      Parameters:
        `lastCol` - the last column (zero-based)

    - #### getFirstRow

          public int getFirstRow()

      Returns:
        the 0-based row of the first cell that contains this hyperlink

    - #### setFirstRow

          public void setFirstRow(int firstRow)

      Set the first row (zero-based) of the range that contains this hyperlink
      Parameters:
        `firstRow` - the first row (zero-based)

    - #### getLastRow

          public int getLastRow()

      Returns:
        the 0-based row of the last cell that contains this hyperlink

    - #### setLastRow

          public void setLastRow(int lastRow)

      Set the last row (zero-based) of the range that contains this hyperlink
      Parameters:
        `lastRow` - the last row (zero-based)

    - #### getLabel

          public java.lang.String getLabel()

      Return text label for this hyperlink
      Returns:
        text to display

    - #### setLabel

          public void setLabel(java.lang.String label)

      Sets text label for this hyperlink
      Parameters:
        `label` - text label for this hyperlink

    - #### getTargetFrame

          public java.lang.String getTargetFrame()

    - #### getAddress

          public java.lang.String getAddress()

      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Returns:
        the address of this hyperlink

    - #### setAddress

          public void setAddress(java.lang.String address)

      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Parameters:
        `address` - the address of this hyperlink

    - #### getShortFilename

          public java.lang.String getShortFilename()

    - #### setShortFilename

          public void setShortFilename(java.lang.String shortFilename)

    - #### getTextMark

          public java.lang.String getTextMark()

    - #### setTextMark

          public void setTextMark(java.lang.String textMark)

    - #### getLabelOptions

          public int getLabelOptions()

      Returns:
        Label options

    - #### getFileOptions

          public int getFileOptions()

      Returns:
        Options for a file link

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### isUrlLink

          public boolean isUrlLink()

      Based on the link options, is this a url?
      Returns:
        true, if this is a url link

    - #### isFileLink

          public boolean isFileLink()

      Based on the link options, is this a file?
      Returns:
        true, if this is a file link

    - #### isDocumentLink

          public boolean isDocumentLink()

      Based on the link options, is this a document?
      Returns:
        true, if this is a docment link

    - #### newUrlLink

          public void newUrlLink()

      Initialize a new url link

    - #### newFileLink

          public void newFileLink()

      Initialize a new file link

    - #### newDocumentLink

          public void newDocumentLink()

      Initialize a new document link

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public HyperlinkRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public HyperlinkRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.